Bug 1406160 - Floating IP/Security Group actions missing corresponding events
Summary: Floating IP/Security Group actions missing corresponding events
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.1
Assignee: Tzu-Mainn Chen
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack:sdn:event
Depends On: 1394279 1419908
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-19 21:09 UTC by Satoe Imaishi
Modified: 2017-08-30 03:50 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1394279
Environment:
Last Closed: 2017-02-27 19:16:11 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
last 1000 lines of evm.log and fog.log (1.99 KB, text/plain)
2017-02-05 08:51 UTC, Ronnie Rasouli
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 18:11:04 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/b75d56d996edbdcb80af0ea9163a517d952a3da9

commit b75d56d996edbdcb80af0ea9163a517d952a3da9
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Dec 6 16:42:55 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 13:05:47 2017 -0500

    Merge pull request #12941 from tzumainn/missing-network-events
    
    add openstack floatingip/security group events
    (cherry picked from commit 85eb6613ea7f532243a8583a032cfe432b74d6e0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1406160

 config/settings.yml                                          | 12 +++++++++---
 .../EmsEvent/OpenStack.class/floatingip.create.end.yaml      | 12 ++++++++++++
 .../EmsEvent/OpenStack.class/floatingip.delete.end.yaml      | 12 ++++++++++++
 .../EmsEvent/OpenStack.class/floatingip.update.end.yaml      | 12 ++++++++++++
 .../EmsEvent/OpenStack.class/security_group.create.end.yaml  | 12 ++++++++++++
 .../EmsEvent/OpenStack.class/security_group.delete.end.yaml  | 12 ++++++++++++
 .../EmsEvent/OpenStack.class/security_group.update.end.yaml  | 12 ++++++++++++
 7 files changed, 81 insertions(+), 3 deletions(-)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/floatingip.create.end.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/floatingip.delete.end.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/floatingip.update.end.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/security_group.create.end.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/security_group.delete.end.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/OpenStack.class/security_group.update.end.yaml

Comment 3 Ronnie Rasouli 2017-02-05 08:51:35 UTC
Created attachment 1247787 [details]
last 1000 lines of evm.log and fog.log

Comment 4 Ronnie Rasouli 2017-02-05 08:52:03 UTC
created 2 events, floating IP, security group, non of them has been shown on provider timelines

Comment 5 Tzu-Mainn Chen 2017-02-06 17:33:20 UTC
Hi Ronnie!  I can't quite reproduce this error:

a) the network provider timeline actually fails for me with a 404 - this might be a non-openstack bug

b) as a backup, I went to the database and did the following:

vmdb_development=# select count(id), event_type, ems_id from event_streams group by event_type, ems_id order by event_type;
 count |            event_type            | ems_id 
-------+----------------------------------+--------
     1 | ems_auth_changed                 |       
   133 | ems_auth_valid                   |       
     3 | evm_server_is_master             |       
     3 | evm_server_start                 |       
     2 | evm_server_stop                  |       
   407 | evm_worker_start                 |       
    36 | evm_worker_stop                  |       
     2 | identity.domain.created          |      3
    35 | identity.endpoint.created        |      3
     2 | identity.project.created         |      3
     1 | identity.project.updated         |      3
     1 | identity.region.created          |      3
    13 | identity.role_assignment.created |      3
     5 | identity.role.created            |      3
    11 | identity.service.created         |      3
    11 | identity.user.created            |      3
     2 | identity.user.updated            |      3
    36 | objectstore.http.request         |      3
     3 | security_group.create.end        |      4
     3 | security_group.create.start      |      4
     1 | security_group.delete.end        |      4
     1 | security_group.delete.start      |      4
     3 | security_group.update.end        |      4
     3 | security_group.update.start      |      4
     4 | subnet.create.end                |      4
     4 | subnet.create.start              |      4
     3 | subnet.delete.end                |      4
     2 | subnet.delete.start              |      4
     2 | subnet.update.end                |      4
     2 | subnet.update.start              |      4

I saw security_group events in there, so I'm pretty sure ManageIQ is capturing the events after all.  Can you do a similar databsae check on your instance?

Comment 6 Ronnie Rasouli 2017-02-07 11:17:20 UTC
Mainn,

I noticed these events, as you noticed the network provider timelines ends with 404

On DB indeed there are the new events on the query you used before

 2 | floatingip.create.end               | 156000000000010
      2 | floatingip.create.start             | 156000000000010
   
  2 | security_group.create.end           | 156000000000010
      1 | security_group.create.end           | 156000000000002
      1 | security_group.create.start         | 156000000000002
      2 | security_group.create.start         | 156000000000010
    

I am closing this BZ for now and filing new for the 404 timelines error

Comment 7 errata-xmlrpc 2017-02-27 19:16:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.